Symantec Access Management

Expand all | Collapse all

What is Oracle 12.x compatibility with CA Siteminder 12.52

  • 1.  What is Oracle 12.x compatibility with CA Siteminder 12.52

    Posted 11-27-2018 07:06 PM

    Our organization is using Siteminder 12.52. We use oracle to store the policies and users. We may be forced to upgrade our Oracle 11G to Oracle 12.x. I have some choice in the Oracle version but probably has to be in the 12.x family.

     

    Question 1: Can any version of Oracle be used without upgrading Siteminder?
    Question 2: Does Oracle need to run on RedHat linux or can it run on any linux flavor? I no longer have the option to use RedHat.

    Question 3: Should Oracle compatabily flag be set to 11G to ensure no issues?

    Question 4: is there some guide for migrating Oracle versions? We cannot upgrade in place. We have to install oracle on a new linux instance and then restore our users and policies to that instance from the old instance. 

     

    Some background. Our install is on AWS EC2 cloud instances using AWS Oracle AMIs which come pre-configured with Oracle already.



  • 2.  Re: What is Oracle 12.x compatibility with CA Siteminder 12.52

    Posted 11-28-2018 12:19 AM

    Hi malvarez5,

     

    Here is the Siteminder 12.52 platform support matrix for your reference -  SAP Portal Services 

     

    Question 1: Can any version of Oracle be used without upgrading Siteminder?

    Answer 1: You can use supported version of Oracle DB as Policystore and userstore without upgrading policy server. As per platform support matrix Oracle 12c is supported from 12.52 SP1 onwards ? so what is your exact version of Policyserver ?- 12.52 SP ? CR ?


    Question 2: Does Oracle need to run on RedHat linux or can it run on any linux flavor? I no longer have the option to use RedHat.

    Answer 2: It does not matter where you run your DB as long as your are using supported version of DB version.

     

    Question 3: Should Oracle compatabily flag be set to 11G to ensure no issues?

    Answer 3: Not really required, as Oracle 12c is officially supported from SP1 on wards. If your policy server is just base version of 12.52 then 12c is not supported. You may need to open a support case to check about "compatibility flag".

     

    Question 4: is there some guide for migrating Oracle versions? We cannot upgrade in place. We have to install oracle on a new linux instance and then restore our users and policies to that instance from the old instance. 

    Answer 4:  Step-1 : Here are the instructions to configure an Oracle DB as Policy storeConfigure an Oracle Policy Store - CA Single Sign-On - 12.52 SP1 - CA Technologies Documentation  

    Step-2 : Policy store migration can be done at DB level by DBA's or using Policy Server utilities such as XPSExport for Policy Backup - CA Knowledge.

    Note - Userstore migration has to done at DB level only.

     

    =====================================

    And finally, End of Life for Siteminder 12.52 version is - February 28, 2019, you may need to consider upgrading your environment to the latest version of SSO 12.8. Refer the below KB article.

     

    https://support.ca.com/us/product-content/status/support-life-cycle/indexes/ca-single-sign-on-release-and-support-lifecycle-dates.html

     

    Regards

    Ashok



  • 3.  Re: What is Oracle 12.x compatibility with CA Siteminder 12.52

    Posted 11-28-2018 09:01 AM

    Thanks for the response.

     

    You asked what version we are using. I looked at /opt/nete/siteminder/install_config_info/ca-ps-version.info. We are using 2 different versions. The main one we use is 12.52.108.2504 but will be switching to 12.52.109.2614. Not sure what that equates to in SP terms.

     

    I tried to access the 12.52 platform support matrix link you provided but my login does not have permission. The person I believe has access to it is out of the office this week. Would it be possible to provide it to me as an attachment?



  • 4.  Re: What is Oracle 12.x compatibility with CA Siteminder 12.52

    Posted 11-28-2018 11:36 AM
      |   view attached

    This is what your SM version equates to, so you should be good with the compatibility.

     

    12.52.108.2504 --> SM-12.52-SP01-CR08

    12.52.109.2614 --> SM-12.52-SP01-CR09

     

    Attaching platform support matrix here for your reference.

     

    Attachment(s)



  • 5.  Re: What is Oracle 12.x compatibility with CA Siteminder 12.52

    Posted 11-28-2018 10:24 AM

    You state that Oracle 12c is supported from 12.52 SP1 onwards. However, I was looking at the siteminder system_odbc.ini and it uses DataDirect 7.1 Oracle Wire Protocol. This driver only supports these oracle versions:
    Oracle 12c R1 (12.1)
    Oracle 11g R1, R2 (11.1, 11.2)
    Oracle 10g R1, R2 (10.1, 10.2)
    Oracle 9i R1, R2 (9.0.1, 9.2)
    Oracle 8i R3 (8.1.7)

    From <http://media.datadirect.com/download/docs/odbc/allodbc/odbc/the-oracle-wire-protocol-driver.html>



  • 6.  Re: What is Oracle 12.x compatibility with CA Siteminder 12.52

    Posted 11-28-2018 11:41 AM

    I guess your confusion is between Oracle 12c and 12c R1 versions ? It does not matter, both are supported.

     

    SM 12.52 SP1 CR8 & CR9 are compatible with Oracle 12c.xx versions. 



  • 7.  Re: What is Oracle 12.x compatibility with CA Siteminder 12.52

    Posted 11-28-2018 11:50 AM

    No confusion. Just that Oracle 12c R2 does not show as supported by the DataDirect 7.1 driver. Only R1 shows as supported.